// itsonlyme: virtualDirs

#pragma once
// CPPgVirtual dialog

#include "preferences.h"
#include "modeless.h"

enum structTypes { IOM_VST_FILE, IOM_VST_DIR, IOM_VST_SUBDIR, IOM_VST_NEW };

struct VirtMapStruct {
	CString mapFrom;
	CString mapTo;
	CString fileID;
	structTypes type;
};

class CPPgVirtual : public CPreferencesPage	// SLUGFILLER: modelessDialogs
{
	DECLARE_DYNAMIC(CPPgVirtual)

public:
	CPPgVirtual();
	~CPPgVirtual();

	enum { IDD = IDD_PPG_VIRTUAL };
	CPreferences *app_prefs;

	void Localize(void);
	void SetPrefs(CPreferences* in_prefs) {	app_prefs = in_prefs; }
	void FillList();

	virtual BOOL OnApply();
	virtual BOOL OnInitDialog();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	afx_msg void OnNMClkList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedAdd();
	afx_msg void OnBnClickedApply();
	afx_msg void OnBnClickedRemove();
	afx_msg void OnNMRightClkList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnSettingsChange() {SetModified();}
	afx_msg void OnMeasureItem(int nIDCtl, LPMEASUREITEMSTRUCT lpMeasureItemStruct);//[TPT] - New Menu Style
	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	DECLARE_MESSAGE_MAP()

private:
	CComboBox m_typesel;
	CListCtrl m_list;
	CList<VirtMapStruct *> structList;

public:

};

// itsonlyme: virtualDirs